// 成功時のコールバック関数
function geoSuccess(position) {

  // GoogleのAPIキーを指定
  var GOOGLE_API_KEY = "<GoogleのAPIキー>";

  // GoogleのスタティックマップAPI
  var GOOGLE_STATIC_MAP_API = "http://maps.googleapis.com/maps/api/staticmap";

  // パラメーターを作成
  var params = [
    "markers=" + position.coords.latitude + "," + position.coords.longitude,
    "zoom=16",
    "size=500x500",
    "maptype=roadmap",
    "sensor=true",
    "key=" + GOOGLE_API_KEY
  ];

  // 地図画像のURLを作成
  var mapImageUrl = GOOGLE_STATIC_MAP_API + "?" + params.join("&");

  // 地図画像を描画
  document.write("<img src='" + mapImageUrl + "'>");
}

// 失敗時のコールバック関数
function geoError(e) {

  // エラーコードを元にエラーメッセージを出し分ける
  var message;
  switch (e.code) {
    case e.PERMISSION_DENIED:
      message = "位置情報取得が許可されていません。";
      break;
    case e.POSITION_UNAVAILABLE:
      message = "位置情報が取得できませんでした。";
      break;
    case e.TIMEOUT:
      message = "タイムアウトになりました。";
      break;
  }

  // エラーメッセージを表示
  alert(message);
}

// オプション
var geoOptions = {
  enableHighAccuracy: false, // 位置情報取得の精度を上げない
  timeout: 5000,             // タイムアウトは5秒
  maximumAge: 0              // 位置情報のキャッシュを利用しない
};

// 位置情報を取得
navigator.geolocation.getCurrentPosition(geoSuccess, geoError, geoOptions);
