// タップしたかどうかの制御用フラグ
var isTap = false;

// 指定された要素の背景色を変える
function colorChange(element) {
  var color = (element.dataset.color === 'red') ? 'yellow' : 'red';
  element.style.backgroundColor = color;
  element.dataset.color = color;
}

// クリックイベントの処理
function handleClick(e) {
  colorChange(e.target);
}

// タップイベントの処理
function handleTap(e) {
  switch (e.type) {
    case 'touchstart': isTap = true; break;
    case 'touchmove': isTap = false; break;
    case 'touchend':
      if (isTap) {
        colorChange(e.target);
      }
      break;
  }
}

// クリックイベントを設定
var clickElement = document.getElementById('click_test');
clickElement.addEventListener('click', handleClick, false);

// タッチイベントを設定
var touchElement = document.getElementById('touch_test');
touchElement.addEventListener('touchstart', handleTap, false);
touchElement.addEventListener('touchmove', handleTap, false);
touchElement.addEventListener('touchend', handleTap, false);
