module.exports = function(grunt) {

  // プロジェクトの設定
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),

    // UglifyJSの設定
    uglify: {
      build: {
        src: 'src/<%= pkg.name %>.js',
        dest: 'build/<%= pkg.name %>.min.js'
      }
    },

    // clean-cssの設定
    cssmin: {
      build: {
        src: 'src/<%= pkg.name %>.css',
        dest: 'build/<%= pkg.name %>.min.css'
      }
    },

    // ファイル監視モードの設定
    watch: {
      scripts: {
        files: ['src/*.{js,css}'],
        tasks: ['default'],
      }
    }
  });

  // プラグインのロード
  grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-cssmin');
  grunt.loadNpmTasks('grunt-contrib-watch');

  // gruntコマンドを引数なしで実行した時に行うデフォルトのタスクを登録
  grunt.registerTask('default', ['uglify', 'cssmin']);

};
