// ストレージのネームスペース
var STORAGE_NAMESPACE = 'html5-techbible';

// ストレージのバージョン
var STORAGE_VERSION = '1.0.0';

// 画像ファイル名（クロスオリジンの制約により同じドメインに置く必要がある）
// Photo by http://www.stockvault.net/photo/127093/dramatic-landscape
var SAMPLE_IMAGE_FILE = 'list5.jpg'

// img要素を取得
var imageElement = document.getElementById('image');

// ネームスペースが存在しなければ空のオブジェクトを作成
var namespaceDataJSON = localStorage[STORAGE_NAMESPACE];
var namespaceData = namespaceDataJSON ? JSON.parse(namespaceDataJSON) : {};

// バージョンが存在しなければ空のオブジェクトを作成
var versionData = (namespaceData[STORAGE_VERSION] = namespaceData[STORAGE_VERSION] || {});

if (!versionData.image) {

  // ローカルストレージにデータが無い場合はファイル名から画像を読み込む
  imageElement.src = SAMPLE_IMAGE_FILE;

  // 画像の読み込み完了時のイベントを設定
  imageElement.onload = function() {

    // canvas要素を作成
    var canvas = document.createElement('canvas');
    canvas.width = imageElement.width;
    canvas.height = imageElement.height;

    // コンテキストオブジェクトを取得
    var ctx = canvas.getContext('2d');

    // canvasに画像を描画
    ctx.drawImage(imageElement, 0, 0);

    // canvas要素から画像データをデータスキームの形式で取得
    var dataUrl = canvas.toDataURL('image/jpeg');

    // ローカルストレージへ保存
    versionData.image = dataUrl;
    localStorage[STORAGE_NAMESPACE] = JSON.stringify(namespaceData);
  };

} else {
  // ローカルストレージに画像データがある場合はそのまま描画する
  imageElement.src = versionData.image;
}

