// WebSocket モジュールのインストール
// $ npm install websocket

var http = require('http');
var WebSocketServer = require('websocket').server;

var server = http.createServer(function(req, res) {
  res.writeHead(404);
  res.end();
}).listen(8080, function() {
  console.log('Server listening on port 8080');
});

var wsServer = new WebSocketServer({
  httpServer: server,
  autoAcceptConnections: true
});

wsServer.on('connect', function(connection) {
  console.log('connect');

  connection.on('message', function(message) {
    console.log(message.utf8Data);
  });

  connection.on('close', function(reasonCode, description) {
    console.log('disconnect');
    clearInterval(connection.timer);
  });

  connection.on('error', function(error) {
    console.log(error);
  });

  connection.timer = setInterval(function() {
    connection.send('Server: Hello WebSocket!');
  }, 3000);
});